GO Terms Gene Products
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/go-terms/gene-productsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/go-terms/gene-products"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/go-terms/gene-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"gene_product_id": "<string>",
"go_term_name": "<string>",
"source": "<string>",
"gene_product_type": "<string>",
"gene_product_symbol": "<string>",
"qualifier": [
"<string>"
],
"organism": "<string>",
"evidence": "<string>",
"go_id": "<string>",
"name": "<string>",
"gene_product_name": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
GO Terms Gene Products
Retrieve annotations associated with a GO term.
Example: go_term_id = GO_1990590,
name = has component
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
GO Terms Gene Products
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/go-terms/gene-productsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/go-terms/gene-products"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/go-terms/gene-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"gene_product_id": "<string>",
"go_term_name": "<string>",
"source": "<string>",
"gene_product_type": "<string>",
"gene_product_symbol": "<string>",
"qualifier": [
"<string>"
],
"organism": "<string>",
"evidence": "<string>",
"go_id": "<string>",
"name": "<string>",
"gene_product_name": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
contains, has component, is a function of Response
Successful response